## pyschlage 2024.8.0

=== docs/requirements.txt ===
Sphinx==7.4.7
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
pyschlage (2024.8.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 10 Oct 2024 11:27:19 +0100

pyschlage (2024.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1084116)

 -- Edward Betts <edward@4angle.com>  Sat, 05 Oct 2024 09:25:20 +0100

## pyschlage 2024.11.0

=== docs/requirements.txt ===
Sphinx==8.1.3
sphinx_rtd_theme==3.0.2

=== debian/changelog ===
pyschlage (2024.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 29 Nov 2024 21:44:24 +0000

=== debian/control ===
Source: pyschlage
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-botocore <!nocheck>,
 python3-pycognito <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/dknowles2/pyschlage
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyschlage
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyschlage.git

Package: python3-pyschlage
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library for controlling Schlage Wi-Fi locks via cloud API
 This library provides an interface to interact with Schlage Encode Wi-Fi locks
 through Schlage's cloud API. Designed to handle lock management remotely, it
 offers functionality to query lock status, initiate locking and unlocking
 commands, and manage associated features such as keypad settings and battery
 level monitoring. The library connects to Schlage's cloud service, allowing it
 to communicate seamlessly with devices to facilitate remote access and control
 of your smart lock systems. Ideal for integrating with automation platforms
 that support IoT devices, this library supports accessing lock data and
 command execution over the network with ease.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyschlage
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyschlage.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyschlage-$1\.tar\.gz/ \
  https://github.com/dknowles2/pyschlage/tags .*/v?(\d\S+)\.tar\.gz

## pyschlage 2025.4.0

=== requirements.txt ===
pycognito==2024.5.1
requests==2.32.3

=== debian/changelog ===
pyschlage (2025.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Move files to clean from override_dh_auto_clean to debian/clean.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 02 May 2025 18:22:01 +0300

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,11 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dknowles2/pyschlage
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyschlage
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyschlage.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyschlage
 Architecture: all

## pyschlage 2025.7.3

=== requirements.txt ===
pycognito==2024.5.1
requests==2.32.4

=== debian/changelog ===
pyschlage (2025.7.3-1) experimental; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 22 Jul 2025 11:59:14 +0100

## pyschlage 2025.9.0

=== requirements.txt ===
pycognito==2024.5.1
requests==2.32.5

=== docs/requirements.txt ===
Sphinx==8.2.3
sphinx_rtd_theme==3.0.2

=== debian/changelog ===
pyschlage (2025.9.0-2) unstable; urgency=medium

  * Add missing build dependency on libjs-underscore for documentation.

 -- Edward Betts <edward@4angle.com>  Sat, 06 Sep 2025 10:30:50 +0100

pyschlage (2025.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 05 Sep 2025 17:09:21 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ libjs-underscore <!nodoc>,
  python3-botocore <!nocheck>,
  python3-pycognito <!nocheck>,
  python3-pytest <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/dknowles2/pyschlage
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyschlage

=== debian/watch ===
version=4
https://github.com/dknowles2/pyschlage/tags .*/v?(\d\S+)\.tar\.gz
